# - Build details for DOLFINx: Dynamic Object-oriented Library for
# - FINite element computation
#
# This file has been automatically generated.

# FIXME: Check that naming conforms to CMake standards


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was DOLFINXConfig.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../" ABSOLUTE)

# Use original install prefix when loaded through a "/usr move"
# cross-prefix symbolic link such as /lib -> /usr/lib.
get_filename_component(_realCurr "${CMAKE_CURRENT_LIST_DIR}" REALPATH)
get_filename_component(_realOrig "/usr/lib/mipsel-linux-gnu/cmake/dolfinx" REALPATH)
if(_realCurr STREQUAL _realOrig)
  set(PACKAGE_PREFIX_DIR "/usr")
endif()
unset(_realOrig)
unset(_realCurr)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################
include(CMakeFindDependencyMacro)

include(CMakeFindDependencyMacro)
find_dependency(MPI REQUIRED)

# Check for Boost
if(DEFINED ENV{BOOST_ROOT} OR DEFINED BOOST_ROOT)
  set(Boost_NO_SYSTEM_PATHS on)
endif()
set(Boost_USE_MULTITHREADED $ENV{BOOST_USE_MULTITHREADED})
set(Boost_VERBOSE TRUE)
find_dependency(Boost 1.70 REQUIRED COMPONENTS timer filesystem)

# xtensor
find_dependency(xtl)
find_dependency(xtensor)

# Basix
find_dependency(Basix)

# Add xsimd if the C++ interface was compiled with it
if(0)
  find_dependency(xsimd)
endif()

# HDF5
if (NOT TARGET hdf5::hdf5)
  set(HDF5_PREFER_PARALLEL TRUE)
  set(HDF5_FIND_DEBUG TRUE)
  find_dependency(HDF5 COMPONENTS C)
  if (HDF5_FOUND AND NOT HDF5_IS_PARALLEL)
    message(FATAL_ERROR "Found serial HDF5 build, MPI HDF5 build required")
  endif()
endif()

if (NOT TARGET PETSC::petsc)
  set(DOLFINX_SKIP_BUILD_TESTS TRUE)
  list(APPEND CMAKE_MODULE_PATH "/usr/lib/mipsel-linux-gnu/cmake/dolfinx")
  find_dependency(PETSc REQUIRED QUIET)
endif()

if (TRUE)
  if (NOT TARGET SLEPC::slepc)
    set(DOLFINX_SKIP_BUILD_TESTS TRUE)
    find_dependency(SLEPc REQUIRED QUIET)
  endif()
endif()

if (NOT TARGET dolfinx)
  include("${CMAKE_CURRENT_LIST_DIR}/DOLFINXTargets.cmake")
endif()

check_required_components(DOLFINX)
